package com.ims.eval.cache;

import com.ims.eval.entity.DataDictionary;
import com.ims.eval.entity.IndicatorType;
import com.ims.eval.service.IDataDictionaryService;
import com.ims.eval.service.IIndicatorTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.*;
import java.util.stream.Collectors;

/**
 * 初始化缓存类
 */
@Component
public class CacheContext implements CommandLineRunner {

	@Autowired
	private IDataDictionaryService dataDictionaryService;

	@Autowired
	private IIndicatorTypeService iIndicatorTypeService;


	//初始化字典表
	public static List<DataDictionary> ddList = new ArrayList<>();
	public static Map<String, DataDictionary> ddMap = new HashMap<>();
	public static Map<String, String> ddNameMap = new HashMap<>();
	public static Map<String, String> ddValueMap = new HashMap<>();
	public static Map<String, List<DataDictionary>> ddSuperKeyMap  = new HashMap<>();


	public static List<IndicatorType> itList = new ArrayList<>();

	@Override
	public void run(String... args) throws Exception {
		initDataDictionary();
		initIndicatorType();

	}


	/**
	 * 初始化集团表
	 */
	public void initDataDictionary(){
		//清理集合中的数据
		ddList.clear();
		ddMap.clear();
		ddNameMap.clear();
		ddValueMap.clear();
		ddSuperKeyMap.clear();
		//重新加载集合数据
		ddList = dataDictionaryService.list();
		ddList.stream().forEach(d -> {
			ddMap.put(d.getDataKey(), d);
			ddNameMap.put(d.getDataKey(), d.getKeyName());
			ddValueMap.put(d.getDataKey(), d.getKeyValue());
		});
		ddSuperKeyMap = ddList.stream().collect(Collectors.groupingBy(DataDictionary::getSuperKey));
	}


	/**
	 * 初始化集团表
	 */
	public void initIndicatorType(){
		//清理集合中的数据
		itList.clear();

		itList = iIndicatorTypeService.list().stream().filter(t->!t.isDelFlag()).collect(Collectors.toList());
		itList.sort(Comparator.comparing(IndicatorType::getOrderNum));
	}




}
