package com.ims.eval.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.DeptResponsibility;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IDeptResponsibilityService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 部门目标责任表 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@RestController
@RequestMapping("//dept-responsibility")
public class DeptResponsibilityController {



	@Autowired
	private IDeptResponsibilityService deptResponsibilityService;


	/**
	 * 分页查询
	 * @param pageNum          当前页数
	 * @param pageSize         当前页大小
	 * @param id               主键
	 * @param cycleUnit  周期单位
	 * @param checkCycle 周期
	 * @param beginDate 考核开始时间
	 * @param endDate 考核截止时间
	 * @param stage 审批状态
	 * @param createBy 创建者
	 * @param year 年
	 * @param month 月
	 * @return
	 */
	//@ImsPreAuth("eval:deptResponsibility:view")
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "pageNum") Integer pageNum,
				  @RequestParam(value = "pageSize") Integer pageSize,
				  @RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "cycleUnit", required = false) String cycleUnit,
				  @RequestParam(value = "checkCycle", required = false) String checkCycle,
				  @RequestParam(value = "beginDate", required = false) String beginDate,
				  @RequestParam(value = "endDate", required = false) String endDate,
				  @RequestParam(value = "binStage", required = false) String binStage,
				  @RequestParam(value = "stage", required = false) String stage,
				  @RequestParam(value = "createBy", required = false) String createBy,
				  @RequestParam(value = "year", required = false) String year,
				  @RequestParam(value = "month", required = false) String month) {
		IPage<DeptResponsibility> list = deptResponsibilityService.list(pageNum, pageSize, id, cycleUnit, checkCycle, beginDate, endDate, binStage, stage, createBy,year, month);
		return R.ok().data(null);
	}



	/**
	 * 添加
	 *
	 * @param deptResponsibility
	 * @return
	 */

	//@ImsPreAuth("eval:deptResponsibility:edit")
	@PostMapping(value = "/save")
	@ApiOperation(value = "新增(修改)", notes = "新增（修改）")
	public R add(@RequestBody DeptResponsibility deptResponsibility) {

		try {
			boolean b = deptResponsibilityService.saveOrUpdate(deptResponsibility);
			if (b) {
				return R.ok().data(b);
			} else {
				return R.error().data("保存失败！");
			}
		} catch (CustomException e){
			return R.customError(e.getMessage()).data("失败！");
		}
	}




}
