package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.DeptResponsibility;
import com.ims.eval.dao.DeptResponsibilityMapper;
import com.ims.eval.service.*;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 部门目标责任表 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Service
public class DeptResponsibilityServiceImpl extends ServiceImpl<DeptResponsibilityMapper, DeptResponsibility> implements IDeptResponsibilityService {


	/**
	 * 指标主业务类
	 */
	private IIndicatorService iIndicatorService;

	/**
	 * 指标子业务类
	 */
	private IIndicatorDictionaryService indicatorDictionaryService;


	/**
	 * 单位/部门考评配置业务类
	 */

	private IOrganizationEvaluationRuleService organizationEvaluationRuleService;

	/**
	 * 考评规则业务类
	 */
	private IEvaluateRuleService evaluateRuleService;




	@Override
	public IPage<DeptResponsibility> list(Integer pageNum, Integer pageSize, String id, String cycleUnit, String checkCycle, String beginDate, String endDate, String binStage, String stage, String createBy, String year, String month) {
		return null;
	}

	@Transactional
	@Override
	public boolean saveOrUpdate(DeptResponsibility entity) {
		QueryWrapper<DeptResponsibility> qw = new QueryWrapper();
		if (null != entity && (null == entity.getId() || "".equals(entity.getId().trim()))) {
			qw.lambda().eq(DeptResponsibility::getOrganizationId,entity.getOrganizationId());
			qw.lambda().eq(DeptResponsibility::getCheckCycle,entity.getCheckCycle());
			qw.lambda().eq(DeptResponsibility::getYear,entity.getYear());
			List<DeptResponsibility> list = baseMapper.selectList(qw);
			if (null != list && list.size() > 0) {
				throw new CustomException("此单位在该阶段已存在目标责任书");
			}

			entity.setCreateTime(new Date());
		} else {
			entity.setUpdateTime(new Date());
		}

		boolean b = super.saveOrUpdate(entity);
		//判断目标责任书主表新增成功
		if(b){

			//获取当前单位对应的考评规则
			entity.getOrganizationId();
			//周期
			entity.getCheckCycle();

//			organizationEvaluationRuleService


		}

		return b ;
	}
}
