package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.common.utils.StringUtils;
import com.ims.eval.entity.Myuser;
import com.ims.eval.dao.UserMapper;
import com.ims.eval.entity.PersonnelEvaluationRule;
import com.ims.eval.service.IUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-03
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, Myuser> implements IUserService {

	@Override
	public List<Myuser> listAll(String id, String orgId,String unitId) {

		QueryWrapper<Myuser> qw = new QueryWrapper<>();

		if (StringUtils.isNotEmpty(id)) {
			qw.lambda().eq(Myuser::getId, id);
		}

		if (StringUtils.isNotEmpty(orgId)) {
			qw.lambda().like(Myuser::getOrgId, orgId);
		}

		if (StringUtils.isNotEmpty(unitId)) {
			qw.lambda().like(Myuser::getUnitId, unitId);
		}

		List<Myuser> list = baseMapper.selectList(qw);

		return list;
	}
}
