/**
 *
 */
package com.ims.eval.entity;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import com.ims.core.entity.DataEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 目标责任书指标Entity
 * @author wang
 * @version 2023-02-25
 */
public class DeptResponsibilityTarget extends DataEntity<DeptResponsibilityTarget> {

	private static final long serialVersionUID = 1L;
	private String responsibilityId;		// 目标责任书ID
	private String indicatorId;		// 指标ID
	private BigDecimal quantizationTarget;		// 量化目标
	private BigDecimal quantizationTargetActual;		// 量化目标完成值
	private String evaluationTarget;		// 评价目标
	private BigDecimal evaluationTargetActual;		// 评价目标完成值
	private BigDecimal monthThreshold;		// 月度预警零界值
	private BigDecimal seasonThreshold;		// 季度预警零界值
	private BigDecimal yearThreshold;		// 年度预警零界值
	private BigDecimal direction;		// 方向
	private BigDecimal orderNum;		// 排序
	private String remark;		// 备注
	private BigDecimal target1;		// 一月目标
	private BigDecimal actual1;		// 一月完成值
	private BigDecimal target2;		// 二月目标
	private BigDecimal actual2;		// 二月完值
	private BigDecimal target3;		// 三月目标
	private BigDecimal actual3;		// 三月完成值
	private BigDecimal target4;		// 四月目标
	private BigDecimal actual4;		// 四月完成值
	private BigDecimal target5;		// 五月目标
	private BigDecimal actual5;		// 五月完成值
	private BigDecimal target6;		// 六月目标
	private BigDecimal actual6;		// 六月完成值
	private BigDecimal target7;		// 七月目标
	private BigDecimal actual7;		// 七月完成值
	private BigDecimal target8;		// 八月目标
	private BigDecimal actual8;		// 八月完成值
	private BigDecimal target9;		// 九月目标
	private BigDecimal actual9;		// 九月完成值
	private BigDecimal target10;		// 十月目标
	private BigDecimal actual10;		// 十月完成值
	private BigDecimal target11;		// 十一月目标
	private BigDecimal actual11;		// 十一月完成值
	private BigDecimal target12;		// 十二月目标
	private BigDecimal actual12;		// 十二月完成值


	public DeptResponsibilityTarget() {
		super();
	}

	public DeptResponsibilityTarget(String id){
		super(id);
	}

	public String getResponsibilityId() {
		return responsibilityId;
	}

	public void setResponsibilityId(String responsibilityId) {
		this.responsibilityId = responsibilityId;
	}
	public String getIndicatorId() {
		return indicatorId;
	}

	public void setIndicatorId(String indicatorId) {
		this.indicatorId = indicatorId;
	}
	public BigDecimal getQuantizationTarget() {
		return quantizationTarget;
	}

	public void setQuantizationTarget(BigDecimal quantizationTarget) {
		this.quantizationTarget = quantizationTarget;
	}
	public BigDecimal getQuantizationTargetActual() {
		return quantizationTargetActual;
	}

	public void setQuantizationTargetActual(BigDecimal quantizationTargetActual) {
		this.quantizationTargetActual = quantizationTargetActual;
	}
	public String getEvaluationTarget() {
		return evaluationTarget;
	}

	public void setEvaluationTarget(String evaluationTarget) {
		this.evaluationTarget = evaluationTarget;
	}
	public BigDecimal getEvaluationTargetActual() {
		return evaluationTargetActual;
	}

	public void setEvaluationTargetActual(BigDecimal evaluationTargetActual) {
		this.evaluationTargetActual = evaluationTargetActual;
	}
	public BigDecimal getMonthThreshold() {
		return monthThreshold;
	}

	public void setMonthThreshold(BigDecimal monthThreshold) {
		this.monthThreshold = monthThreshold;
	}
	public BigDecimal getSeasonThreshold() {
		return seasonThreshold;
	}

	public void setSeasonThreshold(BigDecimal seasonThreshold) {
		this.seasonThreshold = seasonThreshold;
	}
	public BigDecimal getYearThreshold() {
		return yearThreshold;
	}

	public void setYearThreshold(BigDecimal yearThreshold) {
		this.yearThreshold = yearThreshold;
	}
	public BigDecimal getDirection() {
		return direction;
	}

	public void setDirection(BigDecimal direction) {
		this.direction = direction;
	}
	public BigDecimal getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(BigDecimal orderNum) {
		this.orderNum = orderNum;
	}
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	public BigDecimal getTarget1() {
		return target1;
	}

	public void setTarget1(BigDecimal target1) {
		this.target1 = target1;
	}
	public BigDecimal getActual1() {
		return actual1;
	}

	public void setActual1(BigDecimal actual1) {
		this.actual1 = actual1;
	}
	public BigDecimal getTarget2() {
		return target2;
	}

	public void setTarget2(BigDecimal target2) {
		this.target2 = target2;
	}
	public BigDecimal getActual2() {
		return actual2;
	}

	public void setActual2(BigDecimal actual2) {
		this.actual2 = actual2;
	}
	public BigDecimal getTarget3() {
		return target3;
	}

	public void setTarget3(BigDecimal target3) {
		this.target3 = target3;
	}
	public BigDecimal getActual3() {
		return actual3;
	}

	public void setActual3(BigDecimal actual3) {
		this.actual3 = actual3;
	}
	public BigDecimal getTarget4() {
		return target4;
	}

	public void setTarget4(BigDecimal target4) {
		this.target4 = target4;
	}
	public BigDecimal getActual4() {
		return actual4;
	}

	public void setActual4(BigDecimal actual4) {
		this.actual4 = actual4;
	}
	public BigDecimal getTarget5() {
		return target5;
	}

	public void setTarget5(BigDecimal target5) {
		this.target5 = target5;
	}
	public BigDecimal getActual5() {
		return actual5;
	}

	public void setActual5(BigDecimal actual5) {
		this.actual5 = actual5;
	}
	public BigDecimal getTarget6() {
		return target6;
	}

	public void setTarget6(BigDecimal target6) {
		this.target6 = target6;
	}
	public BigDecimal getActual6() {
		return actual6;
	}

	public void setActual6(BigDecimal actual6) {
		this.actual6 = actual6;
	}
	public BigDecimal getTarget7() {
		return target7;
	}

	public void setTarget7(BigDecimal target7) {
		this.target7 = target7;
	}
	public BigDecimal getActual7() {
		return actual7;
	}

	public void setActual7(BigDecimal actual7) {
		this.actual7 = actual7;
	}
	public BigDecimal getTarget8() {
		return target8;
	}

	public void setTarget8(BigDecimal target8) {
		this.target8 = target8;
	}
	public BigDecimal getActual8() {
		return actual8;
	}

	public void setActual8(BigDecimal actual8) {
		this.actual8 = actual8;
	}
	public BigDecimal getTarget9() {
		return target9;
	}

	public void setTarget9(BigDecimal target9) {
		this.target9 = target9;
	}
	public BigDecimal getActual9() {
		return actual9;
	}

	public void setActual9(BigDecimal actual9) {
		this.actual9 = actual9;
	}
	public BigDecimal getTarget10() {
		return target10;
	}

	public void setTarget10(BigDecimal target10) {
		this.target10 = target10;
	}
	public BigDecimal getActual10() {
		return actual10;
	}

	public void setActual10(BigDecimal actual10) {
		this.actual10 = actual10;
	}
	public BigDecimal getTarget11() {
		return target11;
	}

	public void setTarget11(BigDecimal target11) {
		this.target11 = target11;
	}
	public BigDecimal getActual11() {
		return actual11;
	}

	public void setActual11(BigDecimal actual11) {
		this.actual11 = actual11;
	}
	public BigDecimal getTarget12() {
		return target12;
	}

	public void setTarget12(BigDecimal target12) {
		this.target12 = target12;
	}
	public BigDecimal getActual12() {
		return actual12;
	}

	public void setActual12(BigDecimal actual12) {
		this.actual12 = actual12;
	}

}