/**
 *
 */
package com.ims.eval.service.impl;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;
import com.ims.core.utils.IdGen;
import com.ims.eval.dao.ReportDao;
import com.ims.eval.entity.Report;
import com.ims.eval.service.IReportService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 公告发布Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class ReportServiceImpl extends CrudServiceImpl<ReportDao, Report> implements IReportService{

 	public Report get(Report report) {
		return super.get(report);
	}

    public List<Report> findList(Report report) {
        return super.findList(report);
    }

	public List<Report> findAllListM(Report report,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(report,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<Report> findPageM(Page<Report> page, Report report,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, report,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Report initInsert(Report report)  {
		return super.initInsert(report);
	}

	@Transactional(readOnly = false)
	public void checkSave(Report report) {
		super.checkSave(report);
	}

	@Transactional(readOnly = false)
	public Report save(Report report, boolean isNewRecord){
	    if(isNewRecord){
	        report.setId(IdGen.uuid());
	    }
		return super.save(report,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<Report> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(Report report,String baseFilter){
		super.checkRemove(report,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(Report report,String baseFilter) {
		super.delete(report,baseFilter);
	}
}
